%define upstream_name    FurlX-Coro
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Furl::HTTP wrapper for FurlX::COro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/FurlX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Coro)
BuildRequires: perl(Coro::AnyEvent)
BuildRequires: perl(Furl)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::Pluggable)
BuildRequires: perl(Module::Build::Pluggable::CPANfile)
BuildRequires: perl(Module::Build::Pluggable::GithubMeta)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This is a wrapper to 'Furl' for asynchronous HTTP requests with 'Coro'.

This is an experimental module!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.20.0-9.mga9
+ Revision: 1817138
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-8.mga8
+ Revision: 1494649
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-7.mga7
+ Revision: 1268185
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-6.mga6
+ Revision: 1027644
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.20.0-5.mga6
+ Revision: 971514
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 tv <tv> 1.20.0-4.mga6
+ Revision: 891826
- BR perl(AnyEvent)

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 740835
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 684808
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 1.20.0-1.mga5
+ Revision: 593505
- adding missing buildrequires:
- update to 1.02

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 511813
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 367515
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 116794
- adding missing buildrequires:
- imported package perl-FurlX-Coro


* Thu Jun 30 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
